Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSStyleRule

All Superinterfaces:
  CSSRule

    public interface CSSStyleRule

extends CSSRule

The `CSSStyleRule` interface represents a single rule set in a CSS style sheet.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSRule
`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

Method Summary
`String` | `getSelectorText()` The textual representation of the selector for the rule set.
`CSSStyleDeclaration` | `getStyle()` The declaration-block of this rule set.
`void` | `setSelectorText(String selectorText)` The textual representation of the selector for the rule set.

Methods inherited from interface org.w3c.dom.css.CSSRule
`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

Method Detail

### getSelectorText

    String getSelectorText()

  The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.

### setSelectorText

    void setSelectorText(String selectorText)
                         throws DOMException

  The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

### getStyle

    CSSStyleDeclaration getStyle()

  The declaration-block of this rule set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2011, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.